# Class VulkanSemaphoreTimelineCreateInfo.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanSemaphoreTimelineCreateInfo.Builder

Enclosing class:
  `VulkanSemaphoreTimelineCreateInfo`

public static final class VulkanSemaphoreTimelineCreateInfo.Builder extends Object
Builds instances of type `VulkanSemaphoreTimelineCreateInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanSemaphoreTimelineCreateInfo`
  `build()`
  Builds a new `VulkanSemaphoreTimelineCreateInfo`.
  `final VulkanSemaphoreTimelineCreateInfo.Builder`
  `from(VulkanSemaphoreTimelineCreateInfoType instance)`
  Fill a builder with attribute values from the provided `VulkanSemaphoreTimelineCreateInfoType` instance.
  `final VulkanSemaphoreTimelineCreateInfo.Builder`
  `setInitialValue(long initialValue)`
  Initializes the value for the `initialValue` attribute.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanSemaphoreTimelineCreateInfo.Builder from(VulkanSemaphoreTimelineCreateInfoType instance)
    Fill a builder with attribute values from the provided `VulkanSemaphoreTimelineCreateInfoType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setInitialValue

    public final VulkanSemaphoreTimelineCreateInfo.Builder setInitialValue(long initialValue)
    Initializes the value for the `initialValue` attribute.
    Parameters:
      `initialValue` - The value for initialValue
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanSemaphoreTimelineCreateInfo build()
    Builds a new `VulkanSemaphoreTimelineCreateInfo`.
    Returns:
      An immutable instance of VulkanSemaphoreTimelineCreateInfo
    Throws:
      `IllegalStateException` - if any required attributes are missing